<?php
/**
* @package phpBB-WAP
* @copyright (c) phpBB Group
* @Оптимизация под WAP: Гутник Игорь ( чел ).
* @简体中文：中文phpBB-WAP团队
* @license http://opensource.org/licenses/gpl-license.php
**/

/**
* 这是一款自由软件, 您可以在 Free Software Foundation 发布的
* GNU General Public License 的条款下重新发布或修改; 您可以
* 选择目前 version 2 这个版本（亦可以选择任何更新的版本，由
* 你喜欢）作为新的牌照.
**/

if ( !defined('IN_PHPBB') )
{
	exit;
}

$template->set_filenames(array(
	'page_footer' => 'admin/page_footer.tpl')
);

if ( class_exists('runtime') )
{
	$runtime->stop();
	
	$template->assign_vars(array(
		'RUN_TIME' => $runtime->spent())
	);
	
	$template->assign_block_vars('runtime', array());
}

$template->assign_vars(array(
	'PHPBB_VERSION' 		=> ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? 'v' . $board_config['version'] : '',
	'NUM_QUERIES'			=> $db->num_queries,
	'MEMORY_INFO' 			=> round((memory_get_usage() / 1048576), 2),
	'COPY_DATE' 			=> date('Y'))
);

$template->pparse('page_footer');

$db->sql_close();

exit;
?>