<?php
/**
* @package phpBB-WAP
* @copyright (c) phpBB Group
* @Оптимизация под WAP: Гутник Игорь ( чел ).
* @简体中文：中文phpBB-WAP团队
* @license http://opensource.org/licenses/gpl-license.php
**/

/**
* 这是一款自由软件, 您可以在 Free Software Foundation 发布的
* GNU General Public License 的条款下重新发布或修改; 您可以
* 选择目前 version 2 这个版本（亦可以选择任何更新的版本，由
* 你喜欢）作为新的牌照.
**/

if ( !defined('IN_PHPBB') )
{
	exit;
}

$style_image_array = obtain_images_data();

if ( !defined('HEADER_INC') )
{
	define('HEADER_INC', true);

	$template->set_filenames(array(
		'header' => 'admin/page_header.tpl')
	);

	$template->assign_vars(array(
		'SITENAME' 			=> $board_config['sitename'],
		//'PAGE_TITLE' 		=> $page_title,

		'U_ADMIN_INDEX'		=> append_sid('index.php?pane=left'),
		'U_ADMIN'			=> append_sid('index.php'),
		'U_INDEX' 			=> append_sid('../index.php'),
		
		'T_ROOT_PATH'		=> ROOT_PATH,

		'S_LOGIN_ACTION' 		=> append_sid('../login.php'),
		'S_JUMPBOX_ACTION' 		=> append_sid('../viewforum.php')
		//'S_CURRENT_TIME' 		=> sprintf($lang['Current_time'], create_date($board_config['default_dateformat'], time(), $board_config['board_timezone']))
		)
	);

	// IE 浏览器不支持 application/xhtml+xml
	header('Content-type: text/html; charset=UTF-8');

	header('Cache-Control: private, no-cache="set-cookie"');
	header('Expires: 0');
	header('Pragma: no-cache');

	$template->pparse('header');
}
?>