<?php
/**
* @package phpBB-WAP
* @copyright (c) phpBB Group
* @Оптимизация под WAP: Гутник Игорь ( чел ).
* @简体中文：中文phpBB-WAP团队
* @license http://opensource.org/licenses/gpl-license.php
**/

/**
* 这是一款自由软件, 您可以在 Free Software Foundation 发布的
* GNU General Public License 的条款下重新发布或修改; 您可以
* 选择目前 version 2 这个版本（亦可以选择任何更新的版本，由
* 你喜欢）作为新的牌照.
**/

class mods
{
	var $emhooks = array();
	
	/*
	* 在插件列表中要添加的插件名
	* @参数 字符串 $hook 插件列表名
	* @参数 字符串 $action_function 插件名
	*/
	function add_action($hook, $action_function)
	{
		if (!@in_array($action_function, $this->emhooks[$hook]))
		{
			$this->emhooks[$hook][] = $action_function;
		}
		return true;
	}

	/**
	* 插件钩子的执行函数。也就是所谓的钩子的埋入点函数
	* @参数 字符串 $hook  插件列表名
	*/
	function do_action($hook)
	{
		$args = array_slice(func_get_args(), 1);//获取其他参数
		if (isset($this->emhooks[$hook]))
		{
			foreach ($this->emhooks[$hook] as $function)
			{
				$string = call_user_func_array($function, $args);
			}
		}
	}

	/**
	* 去除反斜杠
	* @参数 字符串 $value 要处理的字符串
	* @返回 字符串
	**/
	function check_var($value)
	{
		// 去除斜杠
		if (get_magic_quotes_gpc())
		{
			$value = stripslashes($value);
		}
		// 如果不是数字则加引号
		if (!is_numeric($value))
		{
			$value = "'" . mysql_real_escape_string($value) . "'";
		}
		return $value;
	}
}
?>