<?php
/**
* @package phpBB-WAP
* @copyright (c) phpBB Group
* @Оптимизация под WAP: Гутник Игорь ( чел ).
* @简体中文：中文phpBB-WAP团队
* @license http://opensource.org/licenses/gpl-license.php
**/

/**
* 这是一款自由软件, 您可以在 Free Software Foundation 发布的
* GNU General Public License 的条款下重新发布或修改; 您可以
* 选择目前 version 2 这个版本（亦可以选择任何更新的版本，由
* 你喜欢）作为新的牌照.
**/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
}

$style_image_array = obtain_images_data();

if ( !defined('HEADER_INC') )
{
	
	define('HEADER_INC', true);
	
	if ($board_config['open_rewrite'])
	{
		ob_start();
	}
	
	$logged_in_flag = isset($userdata['session_logged_in']) ? $userdata['session_logged_in'] : false;
	
	// 登录
	if ( !$logged_in_flag )
	{
		$template->assign_block_vars('switch_user_logged_out', array());

		if (!isset($board_config['allow_autologin']) || $board_config['allow_autologin'] )
		{
			$template->assign_block_vars('switch_allow_autologin', array());
			$template->assign_block_vars('switch_user_logged_out.switch_allow_autologin', array());
		}
	}
	else
	{
		$template->assign_block_vars('switch_user_logged_in', array());

		if ( !empty($userdata['user_popup_pm']) )
		{
			$template->assign_block_vars('switch_enable_pm_popup', array());
		}
	}


	// 如果用户在线，更新信箱的信息
	if ( $logged_in_flag && empty($gen_simple_header) )
	{
		if ( $userdata['user_new_privmsg'] )
		{
			$l_privmsgs_text 	= '收信箱(' . $userdata['user_new_privmsg'] . ')';
			$hoboe 				= '<a href="'.append_sid('privmsg.php?folder=inbox').'">您有 ' . $userdata['user_new_privmsg'] . '条未读信息</a>';

			if ( $userdata['user_last_privmsg'] > $userdata['user_lastvisit'] )
			{
				$sql = 'UPDATE ' . USERS_TABLE . '
					SET user_last_privmsg = ' . $userdata['user_lastvisit'] . '
					WHERE user_id = ' . $userdata['user_id'];
				if ( !$db->sql_query($sql) )
				{
					message_die(GENERAL_ERROR, 'Could not update private message new/read time for user', '', __LINE__, __FILE__, $sql);
				}
			}
		}
		else
		{
			$l_privmsgs_text = '收信箱(0)';
			$hoboe 			= '';
		}

	}
	else
	{
		$l_privmsgs_text 		= '';
		$hoboe 					= '';
	}

	// 在线颜色
	$online_color 	= ' style="color: #0fff0f"';
	$offline_color 	= ' style="color: #b40000"';
	$hidden_color 	= ' style="color: #888888"';

	// 全部 mian 页面的头部
	$template->set_filenames(array(
		'overall_header' => 'overall_header.tpl')
	);

	$template->assign_vars(array(	
		'PAGE_TITLE' 					=> $page_title,
		'SITENAME' 						=> $board_config['sitename'],
		'PAGE_DESC'						=> ( defined('THIS_INDEX') ) ? $board_config['site_desc'] : $board_config['sitename'],
		
		//创建时间，还是留着
		//'CURRENT_TIME' 					=> sprintf($lang['Current_time'], create_date($board_config['default_dateformat'], time(), $board_config['board_timezone'])),
		
		'PRIVATE_MESSAGE_INFO' 			=> $l_privmsgs_text,
		'HOBOE' 						=> $hoboe,
		
		'U_INDEX'						=> append_sid('index.php'),
		
		'ROOT_PATH'						=> ROOT_PATH)
	);

	// IE 浏览器不支持 application/xhtml+xml
	header('Content-type: text/html; charset=UTF-8');
	header('Cache-Control: private, no-cache="set-cookie"');
	header('Expires: 0');
	header('Pragma: no-cache');
	$modules->parser_other($global_style, MODULE_HEAD);
	$template->pparse('overall_header');
}
?>