<?php
/**
* @package phpBB-WAP
* @copyright (c) phpBB Group
* @Оптимизация под WAP: Гутник Игорь ( чел ).
* @简体中文：中文phpBB-WAP团队
* @license http://opensource.org/licenses/gpl-license.php
**/

/**
* 这是一款自由软件, 您可以在 Free Software Foundation 发布的
* GNU General Public License 的条款下重新发布或修改; 您可以
* 选择目前 version 2 这个版本（亦可以选择任何更新的版本，由
* 你喜欢）作为新的牌照.
**/

if (!defined('IN_PHPBB'))
{
	die('Hacking attempt');
}

if( ( $userdata['user_level'] == ADMIN ) )
{
	$admin_link = '<a href="admin/index.php?sid=' . $userdata['session_id'] . '">超级管理员面板</a>';
	$template->assign_vars(array(
		'ADMIN_LINK' => $admin_link)
	);
	$template->assign_block_vars('switch_admin_link', array());
}

if( !empty($board_config['beian_info']) )
{
	$template->assign_block_vars('beian_info', array());
	$template->assign_vars(array(
		'BEIAN_INFO' => $board_config['beian_info'])
	);
}

if ( class_exists('runtime') )
{
	$runtime->stop();
	
	$template->assign_vars(array(
		'RUN_TIME' => $runtime->spent())
	);
	
	$template->assign_block_vars('runtime', array());
}

$template->set_filenames(array(
	'overall_footer' => 'overall_footer.tpl')
);

$template->assign_vars(array(
	'NUM_QUERIES'	=> $db->num_queries,
	'MEMORY_INFO' 	=> round((memory_get_usage() / 1048576), 2),
	'COPY_DATE' 	=> date('Y'))
);

$modules->parser_other($global_style, MODULE_FOOT);
$template->pparse('overall_footer');


if ($board_config['open_rewrite'])
{
	$ob_contents = ob_get_contents();
	ob_end_clean();
	echo phpbb_replace_mod_rewrite($ob_contents); 
}

$db->sql_close(); 
exit;

?>